Unit GSN5R_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, GSN1R_p;

procedure GSN5R(var ISEED :Integer; N :Integer; var K :Integer;
                var SIGMA :Array of Real; var RVEC :Array of Real;
                var WKVEC :Array of Real; IERR :Integer);

implementation

procedure GSN5R(var ISEED :Integer; N :Integer; var K :Integer;
                var SIGMA :Array of Real; var RVEC :Array of Real;
                var WKVEC :Array of Real; IERR :Integer);
var
J,L,II,I :Integer;
label
_1,_2,_3;
begin
for J:=1 to N do
 begin
  GSN1R(ISEED,K,WKVEC);
  L := 1;
  for II:=1 to K do
   begin
    RVEC[(J-1)+(II-1)*N] := 0.0;
    for I:=1 to II do
     begin
      RVEC[(J-1)+(II-1)*N] := RVEC[(J-1)+(II-1)*N]+WKVEC[I-1]*SIGMA[L-1];
_1:
      L := L+1;
     end;
_2:
   end;
_3:
 end;
end;

end.
